Page MenuHomePhabricator

copies: avoid early return in _combine_changeset_copies
ClosedPublic

Authored by marmoute on Dec 14 2020, 6:17 AM.

Details

Summary

We have to change how we deal with matching (see next changeset) and that
processing is common. So we shuffle things around before doing the semantic
change for clarity.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 14 2020, 6:17 AM
baymax updated this revision to Diff 24248.Dec 14 2020, 9:15 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 24361.Dec 17 2020, 3:53 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 18 2020, 7:41 AM
This revision is now accepted and ready to land.Dec 18 2020, 7:41 AM
baymax updated this revision to Diff 24383.Dec 18 2020, 8:40 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was automatically updated to reflect the committed changes.